#
# spec file for package pcsc-lite (Version 1.0.0B)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         pcsc-lite
%define auxbindir %_prefix/lib/pcsc-lite
Summary:      SmartCards Library of MUSCLE project
Version:      1.0.0B
Release:      129
License:      distributable
URL:          http://www.linuxnet.com/
Source0:      pcsc-lite-%{version}.tar.gz
Source1:      pcscd.init
Source2:      pcsc-lite.README.SuSE
Patch0:       pcsc-lite.configure.diff
Patch1:       pcsc-lite-src_utils.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        System/Libraries

%description
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in
a very small form factor for communicating to smartcards and readers.
PCSC Lite can be compiled directly to a desired reader driver or can be
used to dynamically allocate/deallocate reader drivers at runtime (default).

PCSC Lite uses the same winscard api as used under Windows(R).

For security aware persons please read the SECURITY file on possible
vulnerabilites to pcsclite, how you can fix some, and how some will
be fixed.

For information on how to install driver please read the DRIVERS file.

Memory cards will be supported through MCT specifications which is an APDU
like manner sent normally through the SCardTransmit() function.  This
functionality is done in the driver.

Authors:
--------
    David Corcoran <corcoran@linuxnet.com>

SuSE series: sec

%prep
%setup
%patch0  -p 1
%patch1  -p 0
cp %{S:2} README.SuSE

%build
%{suse_update_config -f build }
aclocal
./bootstrap
CFLAGS="${RPM_OPT_FLAGS}" 		\
./configure 	--prefix=%{_prefix} 	\
		--mandir=%{_mandir}	\
                --libdir=%{_libdir}     \
		--enable-usb  		\
		--enable-utils 		\
		--enable-syslog		\
		--enable-daemon		\
	 	--sysconfdir=%{_sysconfdir}
make
## --enable-debug --enable-debug-atr
(cd src ; make testpcsc)
(cd src/utils ; make )

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
install -d 	${RPM_BUILD_ROOT}/etc/init.d \
	   	${RPM_BUILD_ROOT}/%{_prefix}/lib/readers \
	   	${RPM_BUILD_ROOT}/%{_prefix}/bin/ \
	   	${RPM_BUILD_ROOT}/%auxbindir \
                ${RPM_BUILD_ROOT}%{_libdir} 
make install DESTDIR=${RPM_BUILD_ROOT}
install -m 755 src/testpcsc $RPM_BUILD_ROOT/%auxbindir
install -m 755 src/utils/formaticc $RPM_BUILD_ROOT/%auxbindir
install -m 755 src/utils/installifd $RPM_BUILD_ROOT/%auxbindir
#set library as executable - prevent ldd from complaining
chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so.*
install -m 755 %{S:1} 	$RPM_BUILD_ROOT/etc/init.d/pcscd
ln -sf ../../etc/init.d/pcscd $RPM_BUILD_ROOT/%{_prefix}/sbin/rcpcscd

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%post
%{fillup_and_insserv pcscd}

%postun
%{insserv_cleanup}

%files
%{_includedir}/*.h
%{_libdir}/libpcsclite*
%{_prefix}/sbin/pcscd

%auxbindir/testpcsc

%auxbindir/installifd

%auxbindir/formaticc
%config %{_sysconfdir}/reader.conf
%dir %{_prefix}/lib/readers
/etc/init.d/pcscd
%{_prefix}/sbin/rcpcscd
%doc ChangeLog AUTHORS NEWS README SECURITY doc/README.DAEMON
%doc doc/pcsc-lite-0.8.7.pdf README.SuSE DRIVERS

%changelog -n pcsc-lite
* Mon Jul 29 2002 - draht@suse.de
- s/usbmgr/hotplug in start script. (#15053)
* Wed Jun 12 2002 - okir@suse.de
- fix for bug #15051: missing %%doc DRIVERS file;
  misc silly binaries moved out of /usr/bin
* Wed Feb 13 2002 - stark@suse.de
- spec-file cleanup
- LSB compliant init-script
* Mon Jan 14 2002 - ro@suse.de
- removed START_PCSCD
* Wed Nov 14 2001 - ro@suse.de
- call aclocal
* Sun Aug 26 2001 - mge@suse.de
- updated to 1.0.0Beta
- fixed /etc/init.d/pcscd status-handling (bug #9069)
* Thu Jun 07 2001 - ro@suse.de
- fix broken Makefile.am
* Mon Apr 23 2001 - mge@suse.de
- update to 0.9.1
* Thu Apr 19 2001 - mge@suse.de
- created package
